diff --git a/server/settings.c b/server/settings.c
index 735276935d..6d3682fe1e 100644
--- a/server/settings.c
+++ b/server/settings.c
@@ -2597,7 +2626,7 @@ static struct setting settings[] = {
               "the vision range of your own units and cities will be "
               "revealed to you. You will not see new cities or terrain "
               "changes in tiles not observed."),
-           NULL, NULL, GAME_DEFAULT_FOGOFWAR)
+           nullptr, nullptr, GAME_DEFAULT_FOGOFWAR)
 
   GEN_BOOL("foggedborders", game.server.foggedborders,
            SSET_RULES, SSET_MILITARY, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -2607,7 +2636,7 @@ static struct setting settings[] = {
               "direct sight of the affected tiles. Otherwise, players "
               "can see any or all changes to borders as long as they "
               "have previously seen the tiles."),
-           NULL, NULL, GAME_DEFAULT_FOGGEDBORDERS)
+           nullptr, nullptr, GAME_DEFAULT_FOGGEDBORDERS)
 
   GEN_BITWISE("airliftingstyle", game.info.airlifting_style,
               SSET_RULES_FLEXIBLE, SSET_MILITARY, SSET_SITUATIONAL,
@@ -2630,7 +2659,8 @@ static struct setting settings[] = {
                  "(DEST_UNLIMITED): airlifting to a city doesn't "
                  "reduce the airlifted counter. It depends on the ruleset "
                  "whether this is possible even with zero airlift capacity."),
-              NULL, NULL, airliftingstyle_name, GAME_DEFAULT_AIRLIFTINGSTYLE)
+              nullptr, nullptr, airliftingstyle_name,
+              GAME_DEFAULT_AIRLIFTINGSTYLE)
 
   GEN_INT("diplchance", game.server.diplchance,
           SSET_RULES_FLEXIBLE, SSET_MILITARY, SSET_SITUATIONAL,
@@ -2643,7 +2673,7 @@ static struct setting settings[] = {
              "Unit Bribing, and Unit Sabotaging never do. "
              "Non-aggressive missions typically have no base chance "
              "at all, but always success."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_DIPLCHANCE, GAME_MAX_DIPLCHANCE, GAME_DEFAULT_DIPLCHANCE)
 
   GEN_BITWISE("victories", game.info.victory_conditions,
@@ -2652,8 +2682,8 @@ static struct setting settings[] = {
               N_("What kinds of victories are possible"),
               /* TRANS: The strings between double quotes are also translated
                * separately (they must match!). The strings between single
-               * quotes are setting names and shouldn't be translated. The
-               * strings between parentheses and in uppercase must stay as
+               * quotes are setting names and shouldn't be translated.
+               * The strings between parentheses and in uppercase must stay as
                * untranslated. */
               N_("This setting controls how game can be won. One can always "
                  "win by conquering entire planet, but other victory conditions "
@@ -2666,21 +2696,23 @@ static struct setting settings[] = {
                  "domination criteria.\n"
                  "- \"World Peace\" (WORLDPEACE): There's no wars in the world for "
                  "the specified amount of turns.\n"),
-              NULL, NULL, victory_conditions_name, GAME_DEFAULT_VICTORY_CONDITIONS)
+              nullptr, nullptr, victory_conditions_name,
+              GAME_DEFAULT_VICTORY_CONDITIONS)
 
   GEN_BOOL("endspaceship", game.server.endspaceship, SSET_RULES_FLEXIBLE,
            SSET_SCIENCE, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
            N_("Should the game end if the spaceship arrives?"),
            N_("If this option is turned on, the game will end with the "
               "arrival of a spaceship at Alpha Centauri."),
-           NULL, NULL, GAME_DEFAULT_END_SPACESHIP)
+           nullptr, nullptr, GAME_DEFAULT_END_SPACESHIP)
 
   GEN_INT("spaceship_travel_pct", game.server.spaceship_travel_pct,
            SSET_RULES_FLEXIBLE, SSET_SCIENCE, SSET_VITAL, ALLOW_NONE,
            ALLOW_BASIC,
            N_("Percentage to multiply spaceship travel time by"),
            N_("This percentage is multiplied onto the time it will take for "
-              "a spaceship to arrive at Alpha Centauri."), NULL, NULL, NULL,
+              "a spaceship to arrive at Alpha Centauri."),
+          nullptr, nullptr, nullptr,
           GAME_MIN_SPACESHIP_TRAVEL_PCT, GAME_MAX_SPACESHIP_TRAVEL_PCT,
           GAME_DEFAULT_SPACESHIP_TRAVEL_PCT)
 
@@ -2691,7 +2723,7 @@ static struct setting settings[] = {
           N_("A civil war is triggered when a player has at least this "
              "many cities and the player's capital is captured. If "
              "this option is set to the maximum value, civil wars are "
-             "turned off altogether."), NULL, NULL, NULL,
+             "turned off altogether."), nullptr, nullptr, nullptr,
           GAME_MIN_CIVILWARSIZE, GAME_MAX_CIVILWARSIZE,
           GAME_DEFAULT_CIVILWARSIZE)
 
@@ -2700,7 +2732,7 @@ static struct setting settings[] = {
            ALLOW_NONE, ALLOW_BASIC,
            N_("Restrict the use of the infrastructure for enemy units"),
            N_("If this option is enabled, the use of roads and rails "
-              "will be restricted for enemy units."), NULL, NULL,
+              "will be restricted for enemy units."), nullptr, nullptr,
            GAME_DEFAULT_RESTRICTINFRA)
 
   GEN_BOOL("unreachableprotects", game.info.unreachable_protects,
@@ -2713,7 +2745,7 @@ static struct setting settings[] = {
               "tiles with an unreachable unit in them cannot be attacked. "
               "Some units in some rulesets may override this, never "
               "protecting reachable units on their tile."),
-           NULL, NULL, GAME_DEFAULT_UNRPROTECTS)
+           nullptr, nullptr, GAME_DEFAULT_UNRPROTECTS)
 
   GEN_INT("contactturns", game.server.contactturns,
           SSET_RULES_FLEXIBLE, SSET_MILITARY, SSET_RARE,
@@ -2723,7 +2755,7 @@ static struct setting settings[] = {
              "after their units have last met, even when they do not have "
              "an embassy. If set to zero, then players cannot meet unless "
              "they have an embassy."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_CONTACTTURNS, GAME_MAX_CONTACTTURNS,
           GAME_DEFAULT_CONTACTTURNS)
 
@@ -2737,7 +2769,7 @@ static struct setting settings[] = {
               "requirement for building a palace will be ignored. (In "
               "some rulesets, buildings other than the palace are affected "
               "by this setting.)"),
-           NULL, NULL, GAME_DEFAULT_SAVEPALACE)
+           nullptr, nullptr, GAME_DEFAULT_SAVEPALACE)
 
   GEN_BOOL("homecaughtunits", game.server.homecaughtunits,
            SSET_RULES_FLEXIBLE, SSET_MILITARY, SSET_RARE,
@@ -2747,7 +2779,7 @@ static struct setting settings[] = {
             * should not be translated. */
            N_("If unset, caught units will have no homecity and will be "
               "subject to the 'killunhomed' option."),
-           NULL, NULL, GAME_DEFAULT_HOMECAUGHTUNITS)
+           nullptr, nullptr, GAME_DEFAULT_HOMECAUGHTUNITS)
 
   GEN_BOOL("naturalcitynames", game.server.natural_city_names,
            SSET_RULES_FLEXIBLE, SSET_SOCIOLOGY, SSET_RARE,
@@ -2755,7 +2787,7 @@ static struct setting settings[] = {
            N_("Whether to use natural city names"),
            N_("If enabled, the default city names will be determined based "
               "on the surrounding terrain."),
-           NULL, NULL, GAME_DEFAULT_NATURALCITYNAMES)
+           nullptr, nullptr, GAME_DEFAULT_NATURALCITYNAMES)
 
   GEN_BOOL("migration", game.server.migration,
            SSET_RULES_FLEXIBLE, SSET_SOCIOLOGY, SSET_RARE,
@@ -2777,7 +2809,7 @@ static struct setting settings[] = {
               "  'mgr_distance'     - How far citizens will migrate.\n"
               "  'mgr_worldchance'  - Chance for inter-nation migration.\n"
               "  'mgr_nationchance' - Chance for intra-nation migration."),
-           NULL, NULL, GAME_DEFAULT_MIGRATION)
+           nullptr, nullptr, GAME_DEFAULT_MIGRATION)
 
   GEN_INT("mgr_turninterval", game.server.mgr_turninterval,
           SSET_RULES_FLEXIBLE, SSET_SOCIOLOGY, SSET_RARE,
@@ -2792,7 +2824,7 @@ static struct setting settings[] = {
              "current city. Migration will never occur the same turn "
              "that a city is built. This setting has no effect unless "
              "migration is enabled by the 'migration' setting."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_MGR_TURNINTERVAL, GAME_MAX_MGR_TURNINTERVAL,
           GAME_DEFAULT_MGR_TURNINTERVAL)
 
@@ -2804,7 +2836,7 @@ static struct setting settings[] = {
            N_("If this setting is enabled, citizens will not migrate to "
               "cities which would not have enough food to support them. "
               "This setting has no effect unless migration is enabled by "
-              "the 'migration' setting."), NULL, NULL,
+              "the 'migration' setting."), nullptr, nullptr,
            GAME_DEFAULT_MGR_FOODNEEDED)
 
   GEN_INT("mgr_distance", game.server.mgr_distance,
@@ -2822,8 +2854,8 @@ static struct setting settings[] = {
              "destination city's working radius.) This setting has no "
              "effect unless migration is enabled by the 'migration' "
              "setting."),
-          NULL, NULL, NULL, GAME_MIN_MGR_DISTANCE, GAME_MAX_MGR_DISTANCE,
-          GAME_DEFAULT_MGR_DISTANCE)
+          nullptr, nullptr, nullptr, GAME_MIN_MGR_DISTANCE,
+          GAME_MAX_MGR_DISTANCE, GAME_DEFAULT_MGR_DISTANCE)
 
   GEN_INT("mgr_nationchance", game.server.mgr_nationchance,
           SSET_RULES_FLEXIBLE, SSET_SOCIOLOGY, SSET_RARE,
@@ -2836,7 +2868,7 @@ static struct setting settings[] = {
              "migration will always occur if the citizens find a suitable "
              "destination. This setting has no effect unless migration "
              "is activated by the 'migration' setting."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_MGR_NATIONCHANCE, GAME_MAX_MGR_NATIONCHANCE,
           GAME_DEFAULT_MGR_NATIONCHANCE)
 
@@ -2851,7 +2883,7 @@ static struct setting settings[] = {
              "that citizens will always migrate if they find a suitable "
              "destination. This setting has no effect if migration is "
              "not enabled by the 'migration' setting."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_MGR_WORLDCHANCE, GAME_MAX_MGR_WORLDCHANCE,
           GAME_DEFAULT_MGR_WORLDCHANCE)
 
@@ -2898,7 +2930,7 @@ static struct setting settings[] = {
                 "     3 = Controller allowed, no observers allowed, "
                 "can't displace connections;\n"
                 "     4 = No controller allowed, observers allowed"),
-             allowtake_callback, NULL, GAME_DEFAULT_ALLOW_TAKE)
+             allowtake_callback, nullptr, GAME_DEFAULT_ALLOW_TAKE)
 
   GEN_BOOL("autotoggle", game.server.auto_ai_toggle,
            SSET_META, SSET_NETWORK, SSET_SITUATIONAL,
@@ -2906,13 +2938,13 @@ static struct setting settings[] = {
            N_("Whether AI-status toggles with connection"),
            N_("If enabled, AI status is turned off when a player "
               "connects, and on when a player disconnects."),
-           NULL, autotoggle_action, GAME_DEFAULT_AUTO_AI_TOGGLE)
+           nullptr, autotoggle_action, GAME_DEFAULT_AUTO_AI_TOGGLE)
 
   GEN_INT("endturn", game.server.end_turn,
           SSET_META, SSET_SOCIOLOGY, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
           N_("Turn the game ends"),
           N_("The game will end at the end of the given turn."),
-          NULL, endturn_callback, NULL,
+          nullptr, endturn_callback, nullptr,
           GAME_MIN_END_TURN, GAME_MAX_END_TURN, GAME_DEFAULT_END_TURN)
 
   GEN_BITWISE("revealmap", game.server.revealmap, SSET_GAME_INIT,
@@ -2920,8 +2952,8 @@ static struct setting settings[] = {
               N_("Reveal the map"),
               /* TRANS: The strings between double quotes are also translated
                * separately (they must match!). The strings between single
-               * quotes are setting names and shouldn't be translated. The
-               * strings between parentheses and in uppercase must not be
+               * quotes are setting names and shouldn't be translated.
+               * The strings between parentheses and in uppercase must not be
                * translated. */
               N_("If \"Reveal map at game start\" (START) is set, the "
                  "initial state of the entire map will be known to all "
@@ -2930,7 +2962,7 @@ static struct setting settings[] = {
                  "If \"Unfog map for dead players\" (DEAD) is set, dead "
                  "players can see the entire map, if they are alone in "
                  "their team."),
-             NULL, NULL, revealmap_name, GAME_DEFAULT_REVEALMAP)
+             nullptr, nullptr, revealmap_name, GAME_DEFAULT_REVEALMAP)
 
   GEN_INT("timeout", game.info.timeout,
           SSET_META, SSET_INTERNAL, SSET_VITAL, ALLOW_NONE, ALLOW_BASIC,
@@ -2948,7 +2980,7 @@ static struct setting settings[] = {
              "command \"timeoutincrease\" to have a dynamic timer. "
              "The first turn is treated as a special case and is controlled "
              "by the 'first_timeout' setting."),
-          NULL, timeout_callback, timeout_action,
+          nullptr, timeout_callback, timeout_action,
           GAME_MIN_TIMEOUT, GAME_MAX_TIMEOUT, GAME_DEFAULT_TIMEOUT)
 
   GEN_INT("first_timeout", game.info.first_timeout,
@@ -2960,7 +2992,7 @@ static struct setting settings[] = {
              "If set to 0, T1 will not have a timeout.\n"
              "If set to -1, the special treatment of T1 will be disabled.\n"
              "See also 'timeout'."),
-          NULL, first_timeout_callback, first_timeout_action,
+          nullptr, first_timeout_callback, first_timeout_action,
           GAME_MIN_FIRST_TIMEOUT, GAME_MAX_FIRST_TIMEOUT,
           GAME_DEFAULT_FIRST_TIMEOUT)
 
@@ -2969,7 +3001,7 @@ static struct setting settings[] = {
           N_("Timeout at least n seconds when enemy moved"),
           N_("Any time a unit moves while in sight of an enemy player, "
              "the remaining timeout is increased to this value."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           0, GAME_MAX_TIMEOUT, GAME_DEFAULT_TIMEOUTADDEMOVE)
 
   GEN_INT("unitwaittime", game.server.unitwaittime,
@@ -2985,7 +3017,7 @@ static struct setting settings[] = {
              "before the turn change, it will not be able to move or act "
              "in the next turn for at least 15 seconds. This value is "
              "limited to a maximum value of 2/3 'timeout'."),
-          NULL, unitwaittime_callback, NULL, GAME_MIN_UNITWAITTIME,
+          nullptr, unitwaittime_callback, nullptr, GAME_MIN_UNITWAITTIME,
           GAME_MAX_UNITWAITTIME, GAME_DEFAULT_UNITWAITTIME)
 
   /* This setting points to the "stored" value; changing it won't have
@@ -2998,7 +3030,8 @@ static struct setting settings[] = {
            N_("This setting controls whether players may make "
               "moves at the same time during a turn. Change "
               "in setting takes effect next turn."),
-           phasemode_help, NULL, NULL, phasemode_name, GAME_DEFAULT_PHASE_MODE)
+           phasemode_help, nullptr, nullptr, phasemode_name,
+           GAME_DEFAULT_PHASE_MODE)
 
   GEN_INT("nettimeout", game.server.tcptimeout,
           SSET_META, SSET_NETWORK, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
@@ -3007,7 +3040,7 @@ static struct setting settings[] = {
              "this value, then the connection is closed. Zero "
              "means there is no timeout (although connections will be "
              "automatically disconnected eventually)."),
-          NULL, NULL, NULL,
+          nullptr, nullptr, nullptr,
           GAME_MIN_TCPTIMEOUT, GAME_MAX_TCPTIMEOUT, GAME_DEFAULT_TCPTIMEOUT)
 
   GEN_INT("netwait", game.server.netwait,
@@ -3016,14 +3049,14 @@ static struct setting settings[] = {
           N_("The server will wait for up to the value of this "
              "parameter in seconds, for all client connection network "
              "buffers to unblock. Zero means the server will not "
-             "wait at all."), NULL, NULL, NULL,
+             "wait at all."), nullptr, nullptr, nullptr,
           GAME_MIN_NETWAIT, GAME_MAX_NETWAIT, GAME_DEFAULT_NETWAIT)
 
   GEN_INT("pingtime", game.server.pingtime,
           SSET_META, SSET_NETWORK, SSET_RARE, ALLOW_NONE, ALLOW_BASIC,
           N_("Seconds between PINGs"),
           N_("The server will poll the clients with a PING request "
-             "each time this period elapses."), NULL, NULL, NULL,
+             "each time this period elapses."), nullptr, nullptr, nullptr,
           GAME_MIN_PINGTIME, GAME_MAX_PINGTIME, GAME_DEFAULT_PINGTIME)
 
   GEN_INT("pingtimeout", game.server.pingtimeout,
@@ -3031,7 +3064,7 @@ static struct setting settings[] = {
           ALLOW_NONE, ALLOW_BASIC,
           N_("Time to cut a client"),
           N_("If a client doesn't reply to a PING in this time the "
-             "client is disconnected."), NULL, NULL, NULL,
+             "client is disconnected."), nullptr, nullptr, nullptr,
           GAME_MIN_PINGTIMEOUT, GAME_MAX_PINGTIMEOUT, GAME_DEFAULT_PINGTIMEOUT)
 
   GEN_BOOL("iphide", game.server.ip_hide,
@@ -3041,7 +3074,7 @@ static struct setting settings[] = {
            N_("Don't tell client IP address to other clients. Server operator "
               "can still see it. Also, changing this setting cannot do anything "
               "to the information already sent before."),
-           NULL, NULL, GAME_DEFAULT_IPHIDE)
+           nullptr, nullptr, GAME_DEFAULT_IPHIDE)
 
   GEN_BOOL("turnblock", game.server.turnblock,
            SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
@@ -3050,7 +3083,7 @@ static struct setting settings[] = {
            N_("If this is turned on, the game turn is not advanced "
               "until all players have finished their turn, including "
               "disconnected players."),
-           NULL, NULL, GAME_DEFAULT_TURNBLOCK)
+           nullptr, nullptr, GAME_DEFAULT_TURNBLOCK)
 
   GEN_BOOL("fixedlength", game.server.fixedlength,
            SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
@@ -3061,7 +3094,7 @@ static struct setting settings[] = {
            N_("If this is turned on the game turn will not advance "
               "until the timeout has expired, even after all players "
               "have clicked on \"Turn Done\"."),
-           NULL, NULL, FALSE)
+           nullptr, nullptr, FALSE)
 
   GEN_INT("top_cities", game.info.top_cities_count,
           SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
@@ -3069,7 +3102,7 @@ static struct setting settings[] = {
           N_("Number of cities in Top Cities report"),
           N_("How many cities should the Top Cities report contain? "
              "If this is zero, Top Cities report is not available "
-             "at all."), NULL, NULL, NULL,
+             "at all."), nullptr, nullptr, nullptr,
           GAME_MIN_TOP_CITIES_COUNT, GAME_MAX_TOP_CITIES_COUNT,
           GAME_DEFAULT_TOP_CITIES_COUNT)
 
@@ -3100,7 +3133,7 @@ static struct setting settings[] = {
                 "    b = display \"best nation\" column\n"
                 "The order of characters is not significant, but "
                 "their capitalization is."),
-             demography_callback, NULL, GAME_DEFAULT_DEMOGRAPHY)
+             demography_callback, nullptr, GAME_DEFAULT_DEMOGRAPHY)
 
   GEN_INT("saveturns", game.server.save_nturns,
           SSET_META, SSET_INTERNAL, SSET_VITAL, ALLOW_HACK, ALLOW_HACK,
@@ -3110,7 +3143,7 @@ static struct setting settings[] = {
            * quotes is a setting name and shouldn't be translated. */
           N_("How many turns elapse between automatic game saves. This "
              "setting only has an effect when the 'autosaves' setting "
-             "includes \"New turn\"."), NULL, NULL, NULL,
+             "includes \"New turn\"."), nullptr, nullptr, nullptr,
           GAME_MIN_SAVETURNS, GAME_MAX_SAVETURNS, GAME_DEFAULT_SAVETURNS)
 
   GEN_INT("savefrequency", game.server.save_frequency,
@@ -3123,8 +3156,10 @@ static struct setting settings[] = {
              "Unlike other save types, this save is only meant as backup "
              "for computer memory, and it always uses the same name, older "
              "saves are not kept. This setting only has an effect when the "
-             "'autosaves' setting includes \"Timer\"."), NULL, NULL, NULL,
-          GAME_MIN_SAVEFREQUENCY, GAME_MAX_SAVEFREQUENCY, GAME_DEFAULT_SAVEFREQUENCY)
+             "'autosaves' setting includes \"Timer\"."),
+          nullptr, nullptr, nullptr,
+          GAME_MIN_SAVEFREQUENCY, GAME_MAX_SAVEFREQUENCY,
+          GAME_DEFAULT_SAVEFREQUENCY)
 
   GEN_BITWISE("autosaves", game.server.autosaves,
               SSET_META, SSET_INTERNAL, SSET_VITAL, ALLOW_HACK, ALLOW_HACK,
@@ -3143,7 +3178,8 @@ static struct setting settings[] = {
                  "- \"Server interrupted\" (INTERRUPT): Save when server "
                  "quits due to interrupt.\n"
                  "- \"Timer\" (TIMER): Save every 'savefrequency' minutes."),
-              autosaves_callback, NULL, autosaves_name, GAME_DEFAULT_AUTOSAVES)
+              autosaves_callback, nullptr, autosaves_name,
+              GAME_DEFAULT_AUTOSAVES)
 
   GEN_BOOL("threaded_save", game.server.threaded_save,
            SSET_META, SSET_INTERNAL, SSET_RARE, ALLOW_HACK, ALLOW_HACK,
@@ -3154,7 +3190,7 @@ static struct setting settings[] = {
               "file containing the game situation takes place in "
               "the background while game otherwise continues. This way "
               "users are not required to wait for the save to finish."),
-           NULL, NULL, GAME_DEFAULT_THREADED_SAVE)
+           nullptr, nullptr, GAME_DEFAULT_THREADED_SAVE)
 
   GEN_INT("compress", game.server.save_compress_level,
           SSET_META, SSET_INTERNAL, SSET_RARE, ALLOW_HACK, ALLOW_HACK,
@@ -3163,20 +3199,22 @@ static struct setting settings[] = {
           N_("If non-zero, saved games will be compressed depending on the "
              "'compresstype' setting. Larger values will give better "
              "compression but take longer."),
-          NULL, NULL, NULL,
-          GAME_MIN_COMPRESS_LEVEL, GAME_MAX_COMPRESS_LEVEL, GAME_DEFAULT_COMPRESS_LEVEL)
+          nullptr, nullptr, nullptr,
+          GAME_MIN_COMPRESS_LEVEL, GAME_MAX_COMPRESS_LEVEL,
+          GAME_DEFAULT_COMPRESS_LEVEL)
 
   GEN_ENUM("compresstype", game.server.save_compress_type,
            SSET_META, SSET_INTERNAL, SSET_RARE, ALLOW_HACK, ALLOW_HACK,
            N_("Savegame compression algorithm"),
            N_("Compression library to use for savegames."),
-           NULL, NULL, NULL, compresstype_name, GAME_DEFAULT_COMPRESS_TYPE)
+           nullptr, nullptr, nullptr, compresstype_name,
+           GAME_DEFAULT_COMPRESS_TYPE)
 
   GEN_STRING("savename", game.server.save_name,
              SSET_META, SSET_INTERNAL, SSET_VITAL, ALLOW_HACK, ALLOW_HACK,
              N_("Definition of the save file name"),
-             /* TRANS: %R, %S, %T and %Y must not be translated. The
-              * strings (examples and setting names) between single quotes
+             /* TRANS: %R, %S, %T and %Y must not be translated.
+              * The strings (examples and setting names) between single quotes
               * neither. The strings between <> should be translated.
               * xgettext:no-c-format */
              N_("Within the string the following custom formats are "
@@ -3193,7 +3231,7 @@ static struct setting settings[] = {
                 "savegames will overwrite old ones. If none of the formats "
                 "is used '-T%04T-Y%05Y-%R' is appended to the value of "
                 "'savename'."),
-             savename_validate, NULL, GAME_DEFAULT_SAVE_NAME)
+             savename_validate, nullptr, GAME_DEFAULT_SAVE_NAME)
 
   GEN_BOOL("scorelog", game.server.scorelog,
            SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
@@ -3208,14 +3246,14 @@ static struct setting settings[] = {
            N_("If this is turned on, player statistics are appended to "
               "the file defined by the option 'scorefile' every turn. "
               "These statistics can be used to create power graphs after "
-              "the game."), NULL, scorelog_action, GAME_DEFAULT_SCORELOG)
+              "the game."), nullptr, scorelog_action, GAME_DEFAULT_SCORELOG)
 
   GEN_ENUM("scoreloglevel", game.server.scoreloglevel,
            SSET_META, SSET_INTERNAL, SSET_SITUATIONAL,
            ALLOW_HACK, ALLOW_HACK,
            N_("Scorelog level"),
            N_("Whether scores are logged for all players including AIs, "
-              "or only for human players."), NULL, NULL, NULL,
+              "or only for human players."), nullptr, nullptr, nullptr,
            scoreloglevel_name, GAME_DEFAULT_SCORELOGLEVEL)
 
 #ifndef FREECIV_WEB
@@ -3226,7 +3264,7 @@ static struct setting settings[] = {
              /* TRANS: Don't translate the string in single quotes. */
              N_("The default name for the score log file is "
               "'freeciv-score.log'."),
-             scorefile_validate, NULL, GAME_DEFAULT_SCOREFILE)
+             scorefile_validate, nullptr, GAME_DEFAULT_SCOREFILE)
 #endif /* !FREECIV_WEB */
 
   GEN_INT("maxconnectionsperhost", game.server.maxconnectionsperhost,
@@ -3237,7 +3275,8 @@ static struct setting settings[] = {
              "the total number of connections from the very same host "
              "equals or exceeds this value. A value of 0 means that "
              "there is no limit, at least up to the maximum number of "
-             "connections supported by the server."), NULL, NULL, NULL,
+             "connections supported by the server."),
+          nullptr, nullptr, nullptr,
           GAME_MIN_MAXCONNECTIONSPERHOST, GAME_MAX_MAXCONNECTIONSPERHOST,
           GAME_DEFAULT_MAXCONNECTIONSPERHOST)
 
@@ -3245,18 +3284,19 @@ static struct setting settings[] = {
           SSET_RULES_FLEXIBLE, SSET_NETWORK, SSET_RARE,
           ALLOW_HACK, ALLOW_HACK,
           N_("Time before a kicked user can reconnect"),
-          /* TRANS: the string in double quotes is a server command name and
+          /* TRANS: The string in double quotes is a server command name and
            * should not be translated */
           N_("Gives the time in seconds before a user kicked using the "
              "\"kick\" command may reconnect. Changing this setting will "
-             "affect users kicked in the past."), NULL, NULL, NULL,
+             "affect users kicked in the past."),
+          nullptr, nullptr, nullptr,
           GAME_MIN_KICK_TIME, GAME_MAX_KICK_TIME, GAME_DEFAULT_KICK_TIME)
 
   GEN_INT("luatimeout", game.lua_timeout,
           SSET_RULES_FLEXIBLE, SSET_INTERNAL, SSET_RARE, ALLOW_HACK, ALLOW_HACK,
           N_("Lua timeout"),
           N_("Time in seconds that a single lua script can run before it gets "
-             "forcibly terminated."), NULL, NULL, NULL,
+             "forcibly terminated."), nullptr, nullptr, nullptr,
           GAME_MIN_LUA_TIMEOUT, GAME_MAX_LUA_TIMEOUT, GAME_DEFAULT_LUA_TIMEOUT)
 
   GEN_STRING_NRS("metamessage", game.server.meta_info.user_message,
@@ -3267,14 +3307,14 @@ static struct setting settings[] = {
                     "automatically generated message. "
                     "Set to empty (\"\", not \"empty\") to always use an "
                     "automatically generated meta server message."),
-                 NULL, metamessage_action, GAME_DEFAULT_USER_META_MESSAGE)
+                 nullptr, metamessage_action, GAME_DEFAULT_USER_META_MESSAGE)
 
   GEN_ENUM("ailevel", game.info.skill_level,
            SSET_META, SSET_INTERNAL, SSET_VITAL, ALLOW_NONE, ALLOW_CTRL,
            N_("Level of new AIs"),
            N_("Difficulty level of any AI players to be created now on. "
               "Changing value of this setting does not affect "
-              "existing players."), NULL, NULL, NULL,
+              "existing players."), nullptr, nullptr, nullptr,
            ailevel_name, GAME_DEFAULT_SKILL_LEVEL)
 
   GEN_STRING_NRS("aitype", game.server.default_ai_type_name,
@@ -3300,7 +3340,7 @@ static const int SETTINGS_NUM = ARRAY_SIZE(settings);
 ****************************************************************************/
 struct setting *setting_by_number(int id)
 {
-  return (0 <= id && id < SETTINGS_NUM ? settings + id : NULL);
+  return (0 <= id && id < SETTINGS_NUM ? settings + id : nullptr);
 }
 
 /************************************************************************//**
@@ -3308,14 +3348,15 @@ struct setting *setting_by_number(int id)
 ****************************************************************************/
 struct setting *setting_by_name(const char *name)
 {
-  fc_assert_ret_val(name, NULL);
+  fc_assert_ret_val(name, nullptr);
 
   settings_iterate(SSET_ALL, pset) {
     if (0 == strcmp(name, pset->name)) {
       return pset;
     }
   } settings_iterate_end;
-  return NULL;
+
+  return nullptr;
 }
 
 /************************************************************************//**
@@ -3323,7 +3364,8 @@ struct setting *setting_by_name(const char *name)
 ****************************************************************************/
 int setting_number(const struct setting *pset)
 {
-  fc_assert_ret_val(pset != NULL, -1);
+  fc_assert_ret_val(pset != nullptr, -1);
+
   return pset - settings;
 }
 
@@ -3349,7 +3391,7 @@ const char *setting_short_help(const struct setting *pset)
 ****************************************************************************/
 const char *setting_extra_help(const struct setting *pset, bool constant)
 {
-  if (!constant && pset->help_func != NULL) {
+  if (!constant && pset->help_func != nullptr) {
     return pset->help_func(pset);
   }
 
@@ -3644,7 +3686,7 @@ static bool setting_bool_validate_base(const struct setting *pset,
 
   return (setting_match_prefix(pset->boolean.name, buf, pint_val,
                                reject_msg, reject_msg_len)
-          && (NULL == pset->boolean.validate
+          && (pset->boolean.validate == nullptr
               || pset->boolean.validate(0 != *pint_val, caller, reject_msg,
                                         reject_msg_len)));
 }
@@ -3704,7 +3746,7 @@ static const char *setting_bool_secfile_str(secfile_data_t data, int val)
   const struct sset_val_name *name =
       ((const struct setting *) data)->boolean.name(val);
 
-  return (NULL != name ? name->support : NULL);
+  return (name != nullptr ? name->support : nullptr);
 }
 
 /************************************************************************//**
@@ -3861,7 +3903,7 @@ char *setting_str_get(struct setting *pset)
   fc_assert(setting_type(pset) == SST_STRING);
 
   return pset->string.value;
-}             
+}
 
 /************************************************************************//**
   Convert the integer to the long support string representation of an
